onEvent("recipes", event => {
  event.shaped('astralsorcery:rock_crystal_ore', [
    'PBP',
    'BIB',
    'PBP'
  ], {
    P: 'create:powdered_obsidian',
    B: 'mekanism:ingot_refined_obsidian',
    I: 'minecraft:iron_ore'
  })

  event.remove({ id: 'astralsorcery:altar/illuminator'})
  event.shaped('astralsorcery:altar_discovery', [
    'ABA',
    'BCB',
    'ABA'
  ], {
    A: 'botania:livingwood',
    B: 'immersiveengineering:treated_wood_horizontal',
    C: 'minecraft:crafting_table'
  })

  event.remove({ output: 'astralsorcery:/linking_tool'})
  event.custom({
    "type": "extendedcrafting:shaped_table",
    "pattern": [
      "  A  ",
      "  AB ",
      "  CAA",
      " D   ",
      "D    "
    ],
    "key": {
      "A": {
        "item": "immersiveengineering:stick_treated"
      },
      "B": {
        "item": "tconstruct:earth_slime_crystal"
      },
      "C": {
        "item": "astralsorcery:aquamarine"
      },
      "D": {
        "item": "createaddition:brass_rod"
      }
    },
    "result": {
      "item": 'astralsorcery:linking_tool'
    }
  })
})